## kphotoalbum 5.4.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2.0)
project(kphotoalbum VERSION 5.4.2)

if(POLICY CMP0063)
    cmake_policy(SET CMP0063 NEW)
endif()

# provide drop-down menu for build-type in cmake-gui:
set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS ";Debug;Release;RelWithDebInfo;MinSizeRel")

list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

find_package(ECM REQUIRED NO_MODULE)
list(APPEND CMAKE_MODULE_PATH ${ECM_MODULE_PATH} )

include(KDEInstallDirs)
include(KDECompilerSettings)
include(KDECMakeSettings)
include(FeatureSummary)

# enable exceptions:
kde_enable_exceptions()

add_definitions(
    -DQT_NO_CAST_FROM_ASCII
    -DQT_NO_CAST_TO_ASCII
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_NO_CAST_FROM_BYTEARRAY
    -DQT_DEPRECATED_WARNINGS
    )


set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_REQUIRED TRUE)

########### dependencies  ###############

find_package(Qt5 REQUIRED COMPONENTS Sql Xml Widgets Network)
find_package(Phonon4Qt5 REQUIRED)
find_package(KF5 REQUIRED COMPONENTS Archive Completion Config CoreAddons DocTools I18n IconThemes JobWidgets KIO TextWidgets XmlGui WidgetsAddons)

find_package(JPEG REQUIRED)
if(JPEG_FOUND)
    include_directories(${JPEG_INCLUDE_DIR})
endif()

find_package(Exiv2 REQUIRED)

find_package(KF5Kipi 5.1.0)
set_package_properties(KF5Kipi
    PROPERTIES
    TYPE RECOMMENDED
    PURPOSE "Enables integration of KDE image plugin interface (shared functionality between KPhotoAlbum and other apps like gwenview or digikam)"
    )
set(HASKIPI ${KF5Kipi_FOUND})

find_package(KF5KDcraw)
set_package_properties(KF5KDcraw
    PROPERTIES
    TYPE OPTIONAL
    PURPOSE "Enables RAW image support"
    )
set(HAVE_KDCRAW ${KF5KDcraw_FOUND} )

find_package(KF5KGeoMap)
set_package_properties(KF5KGeoMap
    PROPERTIES
    TYPE OPTIONAL
    PURPOSE "Enables support for geographic map location using embedded GPS information."
    )
set(HAVE_KGEOMAP ${KF5KGeoMap_FOUND})

add_custom_target(
    UpdateVersion ALL
    COMMAND ${CMAKE_COMMAND}
    -DBASE_DIR=${CMAKE_CURRENT_SOURCE_DIR} -DPROJECT_NAME=KPA -DPROJECT_VERSION="${PROJECT_VERSION}"
    -DCMAKE_BUILD_TYPE="${CMAKE_BUILD_TYPE}" -P "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/UpdateVersion.cmake"
    COMMENT "Updating version header."
    BYPRODUCTS "${CMAKE_CURRENT_SOURCE_DIR}/version.h"
    )

# For config-kpa-*.h
include_directories(${CMAKE_CURRENT_BINARY_DIR})

set(libdatebar_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/DateBar/documentation.h
    ${CMAKE_CURRENT_SOURCE_DIR}/DateBar/DateBarWidget.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/DateBar/ViewHandler.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/DateBar/MouseHandler.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/DateBar/MouseHandler.cpp
    )

set(libSettings_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/Settings/documentation.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Settings/SettingsData.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Settings/SettingsDialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Settings/ViewerSizeConfig.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Settings/CategoryItem.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Settings/CategoryPage.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Settings/TagGroupsPage.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Settings/GeneralPage.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Settings/FileVersionDetectionPage.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Settings/ThumbnailsPage.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Settings/ViewerPage.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Settings/DatabaseBackendPage.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Settings/UntaggedGroupBox.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Settings/CategoriesGroupsWidget.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Settings/BirthdayPage.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Settings/DateTableWidgetItem.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Settings/Logging.cpp
    )

set(libxmldb_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/XMLDB/documentation.h
    ${CMAKE_CURRENT_SOURCE_DIR}/XMLDB/Database.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/XMLDB/XMLCategoryCollection.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/XMLDB/XMLCategory.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/XMLDB/XMLImageDateCollection.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/XMLDB/NumberedBackup.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/XMLDB/FileReader.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/XMLDB/FileWriter.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/XMLDB/ElementWriter.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/XMLDB/XmlReader.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/XMLDB/CompressFileInfo.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/XMLDB/Logging.cpp
    )

set(libThumbnailView_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/documentation.h
    ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailRequest.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailToolTip.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailWidget.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/GridResizeInteraction.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/GridResizeSlider.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/SelectionInteraction.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/MouseTrackingInteraction.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/CellGeometry.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailModel.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailFacade.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailComponent.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/KeyboardEventHandler.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailDND.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/Delegate.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/SelectionMaintainer.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/VideoThumbnailCycler.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/Logging.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/MouseInteraction.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailFactory.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/enums.cpp
    )

set(libPlugins_SRCS)
if(KF5Kipi_FOUND)
    set(libPlugins_SRCS
        ${CMAKE_CURRENT_SOURCE_DIR}/Plugins/documentation.h
        ${CMAKE_CURRENT_SOURCE_DIR}/Plugins/Interface.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/Plugins/ImageCollection.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/Plugins/ImageInfo.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/Plugins/CategoryImageCollection.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/Plugins/ImageCollectionSelector.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/Settings/PluginsPage.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/Plugins/UploadWidget.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/Plugins/UploadImageCollection.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/Plugins/Logging.cpp
        )
endif()

set(libViewer_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/Viewer/documentation.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Viewer/ViewerWidget.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Viewer/ImageDisplay.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Viewer/ViewHandler.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Viewer/SpeedDisplay.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Viewer/InfoBox.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Viewer/CategoryImageConfig.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Viewer/AbstractDisplay.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Viewer/VideoDisplay.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Viewer/TextDisplay.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Viewer/InfoBoxResizer.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Viewer/VisibleOptionsMenu.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Viewer/VideoShooter.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Viewer/TaggedArea.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Viewer/Logging.cpp
    )

set(libCategoryListView_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/CategoryListView/documentation.h
    ${CMAKE_CURRENT_SOURCE_DIR}/CategoryListView/DragableTreeWidget.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/CategoryListView/CheckDropItem.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/CategoryListView/DragItemInfo.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/CategoryListView/Logging.cpp
    )

set(libHTMLGenerator_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/HTMLGenerator/documentation.h
    ${CMAKE_CURRENT_SOURCE_DIR}/HTMLGenerator/HTMLDialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/HTMLGenerator/Generator.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/HTMLGenerator/Setup.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/HTMLGenerator/ImageSizeCheckBox.h
    ${CMAKE_CURRENT_SOURCE_DIR}/HTMLGenerator/Logging.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/HTMLGenerator/ImageSizeCheckBox.cpp
    )

set(libUtilities_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/documentation.h
    ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/AlgorithmHelper.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/ShowBusyCursor.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/List.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/UniqFilenameMapper.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/Util.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/BooleanGuard.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/Process.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/DeleteFiles.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/ToolTip.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/Logging.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/JpeglibWithFix.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/QStr.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/StringSet.cpp
    )

set(libMainWindow_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/documentation.h
    ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/DeleteDialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/RunDialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/FeatureDialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/InvalidDateFinder.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/AutoStackImages.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/TokenEditor.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/WelcomeDialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/Window.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/SplashScreen.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/ExternalPopup.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/CategoryImagePopup.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/SearchBar.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/ImageCounter.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/DirtyIndicator.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/StatisticsDialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/BreadcrumbViewer.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/StatusBar.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/UpdateVideoThumbnail.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/DuplicateMerger/DuplicateMerger.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/DuplicateMerger/DuplicateMatch.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/DuplicateMerger/MergeToolTip.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/CopyPopup.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/Options.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/Logging.cpp
    )

set(libImageManager_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/documentation.h
    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/ImageLoaderThread.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/AsyncLoader.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/ImageRequest.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/ImageClientInterface.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/ImageDecoder.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/RawImageDecoder.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/RequestQueue.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/ThumbnailCache.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/ImageEvent.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/ThumbnailBuilder.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/PreloadRequest.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/CancelEvent.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/VideoImageRescaleRequest.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/VideoThumbnails.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/VideoLengthExtractor.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/ExtractOneVideoFrame.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/Logging.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/CacheFileInfo.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/enums.cpp
    )

=== icons/CMakeLists.txt ===
include(ECMInstallIcons)
add_subdirectory(global)

# 2016-02-21 TODO ZaJ: remove unused icons from this directory

# vi:expandtab:tabstop=4 shiftwidth=4:

=== debian/changelog ===
kphotoalbum (5.4.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.3.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Wed, 06 Feb 2019 21:53:49 +0100

kphotoalbum (5.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add upstream signing key.
  * Update the patches:
    - upstream_Fix-build-with-Qt-5.11.patch: drop, backported from upstream

 -- Pino Toscano <pino@debian.org>  Sun, 14 Oct 2018 22:07:29 +0200

kphotoalbum (5.3-2) unstable; urgency=medium

  * Team upload.
  * Switch Vcs-* fields to salsa.debian.org.
  * Backport upstream commit 47f4c00adaa442cd03b02d44517b5503718f2813 to fix
    build with Qt >= 5.11; patch upstream_Fix-build-with-Qt-5.11.patch.
    (Closes: #906660)
  * Bump Standards-Version to 4.2.1, no changes required.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
    - remove --parallel for dh, as now done by default

 -- Pino Toscano <pino@debian.org>  Tue, 04 Sep 2018 23:44:32 +0200

=== debian/control ===
Source: kphotoalbum
Section: graphics
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>,
Build-Depends: debhelper (>= 11~), cmake (>= 3.1), pkg-kde-tools (>= 0.15.16),
 docbook-to-man,
 extra-cmake-modules,
 qtbase5-dev,
 libphonon4qt5-dev,
 libkf5archive-dev,
 libkf5completion-dev,
 libkf5config-dev,
 libkf5coreaddons-dev,
 libkf5doctools-dev,
 libkf5i18n-dev,
 libkf5iconthemes-dev,
 libkf5jobwidgets-dev,
 libkf5kio-dev,
 libkf5textwidgets-dev,
 libkf5widgetsaddons-dev,
 libkf5xmlgui-dev,
 libkf5kdcraw-dev,
 libkf5kgeomap-dev, libqt5webkit5-dev, libmarble-dev,
 libkf5kipi-dev,
 libexiv2-dev (>= 0.19), libjpeg-dev,
 x11proto-core-dev,
 pkg-config,
Standards-Version: 4.3.0
Homepage: http://kphotoalbum.org
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kphotoalbum
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kphotoalbum.git

Package: kphotoalbum
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends},
 libqt5sql5-sqlite, mplayer
Recommends: khelpcenter, ffmpeg, kipi-plugins
Description: tool for indexing, searching and viewing images by keywords for KDE
 KPhotoAlbum lets you index, search, group and view images by keywords, date,
 locations and persons. It provides a quick and elegant way to lookup groups of
 images when you have thousands of pictures on your hard disk.
 .
 The information associated with each photo is stored in an XML file. Together
 with its keywords, KPhotoAlbum stores each picture's MD5 sum, so it will
 recognize them even if you move them to another directory. KPhotoAlbum can
 also create HTML galleries with the images you select.
 .
 KPhotoAlbum can also make use of the KIPI image handling plugins to extend its
 capabilities. The kipi-plugins package contains many useful extensions. Among
 others, it contains extensions for photo manipulation, importing, exporting
 and batch processing.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5

override_dh_auto_build:
	# force generation of version.h, to avoid races later on
	dh_auto_build --no-parallel -- UpdateVersion
	dh_auto_build
	/usr/bin/docbook-to-man debian/kphotoalbum.sgml > kphotoalbum.1

override_dh_auto_clean:
	dh_auto_clean
	rm -f kphotoalbum.1

.PHONY: override_dh_auto_test

## kphotoalbum 5.5

=== debian/changelog ===
kphotoalbum (5.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump some build dependencies according to the upstream build system:
    - cmake to >= 3.2
    - some Qt 5 packages to >= 5.9
    - KF5 packages to >= 5.44.0
  * Switch the Homepage to https.
  * Remove the mplayer dependency, as the new version does not use it anymore.
  * Install README.md instead of README as documentation.
  * Drop the man page, as it is very obsolete.
  * Explicitly add the gettext build dependency.
  * Bump Standards-Version to 4.4.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Mon, 08 Jul 2019 21:37:09 +0200

=== debian/control ===
--- 
+++ 
@@ -3,38 +3,38 @@
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>,
-Build-Depends: debhelper (>= 11~), cmake (>= 3.1), pkg-kde-tools (>= 0.15.16),
- docbook-to-man,
+Build-Depends: debhelper (>= 11~), cmake (>= 3.2), pkg-kde-tools (>= 0.15.16),
  extra-cmake-modules,
- qtbase5-dev,
+ qtbase5-dev (>= 5.9),
  libphonon4qt5-dev,
- libkf5archive-dev,
- libkf5completion-dev,
- libkf5config-dev,
- libkf5coreaddons-dev,
- libkf5doctools-dev,
- libkf5i18n-dev,
- libkf5iconthemes-dev,
- libkf5jobwidgets-dev,
- libkf5kio-dev,
- libkf5textwidgets-dev,
- libkf5widgetsaddons-dev,
- libkf5xmlgui-dev,
+ libkf5archive-dev (>= 5.44.0),
+ libkf5completion-dev (>= 5.44.0),
+ libkf5config-dev (>= 5.44.0),
+ libkf5coreaddons-dev (>= 5.44.0),
+ libkf5doctools-dev (>= 5.44.0),
+ libkf5i18n-dev (>= 5.44.0),
+ libkf5iconthemes-dev (>= 5.44.0),
+ libkf5jobwidgets-dev (>= 5.44.0),
+ libkf5kio-dev (>= 5.44.0),
+ libkf5textwidgets-dev (>= 5.44.0),
+ libkf5widgetsaddons-dev (>= 5.44.0),
+ libkf5xmlgui-dev (>= 5.44.0),
  libkf5kdcraw-dev,
- libkf5kgeomap-dev, libqt5webkit5-dev, libmarble-dev,
+ libkf5kgeomap-dev, libqt5webkit5-dev (>= 5.9), libmarble-dev,
  libkf5kipi-dev,
  libexiv2-dev (>= 0.19), libjpeg-dev,
  x11proto-core-dev,
  pkg-config,
-Standards-Version: 4.3.0
-Homepage: http://kphotoalbum.org
+ gettext,
+Standards-Version: 4.4.0
+Homepage: https://kphotoalbum.org
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kphotoalbum
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kphotoalbum.git
 
 Package: kphotoalbum
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends},
- libqt5sql5-sqlite, mplayer
+ libqt5sql5-sqlite,
 Recommends: khelpcenter, ffmpeg, kipi-plugins
 Description: tool for indexing, searching and viewing images by keywords for KDE
  KPhotoAlbum lets you index, search, group and view images by keywords, date,

## kphotoalbum 5.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.2.0)
-project(kphotoalbum VERSION 5.4.2)
+project(kphotoalbum VERSION 5.6.1)
 
 if(POLICY CMP0063)
     cmake_policy(SET CMP0063 NEW)
@@ -27,24 +27,35 @@
     -DQT_NO_URL_CAST_FROM_STRING
     -DQT_NO_CAST_FROM_BYTEARRAY
     -DQT_DEPRECATED_WARNINGS
-    )
-
-
-set(CMAKE_CXX_STANDARD 11)
+    -DQT_STRICT_ITERATORS
+    )
+
+
+set(CMAKE_CXX_STANDARD 14)
 set(CMAKE_CXX_REQUIRED TRUE)
 
 ########### dependencies  ###############
 
-find_package(Qt5 REQUIRED COMPONENTS Sql Xml Widgets Network)
+find_package(Qt5 5.9 REQUIRED COMPONENTS Sql Xml Widgets Network)
 find_package(Phonon4Qt5 REQUIRED)
-find_package(KF5 REQUIRED COMPONENTS Archive Completion Config CoreAddons DocTools I18n IconThemes JobWidgets KIO TextWidgets XmlGui WidgetsAddons)
+find_package(KF5 5.44 REQUIRED COMPONENTS Archive Completion Config CoreAddons DocTools I18n IconThemes JobWidgets KIO TextWidgets XmlGui WidgetsAddons)
 
 find_package(JPEG REQUIRED)
 if(JPEG_FOUND)
     include_directories(${JPEG_INCLUDE_DIR})
 endif()
 
-find_package(Exiv2 REQUIRED)
+### 2018-12-30 jzarl
+# When Exiv2 0.26 can be deprecated, FindExiv2.cmake should be removed
+# and only find_package(exiv2) should be used
+find_package(exiv2 CONFIG QUIET)
+if(exiv2_FOUND)
+    # search againg with REQUIRED, so that the feature summary correctly shows exiv as required dependency
+    find_package(exiv2 CONFIG REQUIRED)
+    set(EXIV2_LIBRARIES exiv2lib)
+else()
+    find_package(Exiv2 REQUIRED)
+endif()
 
 find_package(KF5Kipi 5.1.0)
 set_package_properties(KF5Kipi
@@ -53,6 +64,13 @@
     PURPOSE "Enables integration of KDE image plugin interface (shared functionality between KPhotoAlbum and other apps like gwenview or digikam)"
     )
 set(HASKIPI ${KF5Kipi_FOUND})
+
+find_package(KF5Purpose)
+set_package_properties(KF5Purpose
+    PROPERTIES
+    TYPE RECOMMENDED
+    PURPOSE "Enables integration with KDE Purpose plugins, which provide image sharing and similar functionality."
+    )
 
 find_package(KF5KDcraw)
 set_package_properties(KF5KDcraw
@@ -127,6 +145,7 @@
 
 set(libThumbnailView_SRCS
     ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/documentation.h
+    ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/FilterWidget.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailRequest.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailToolTip.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailWidget.cpp
@@ -149,10 +168,12 @@
     ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/enums.cpp
     )
 
-set(libPlugins_SRCS)
+set(libPlugins_SRCS
+    ${CMAKE_CURRENT_SOURCE_DIR}/Plugins/documentation.h
+    ${CMAKE_CURRENT_SOURCE_DIR}/Plugins/Logging.cpp
+    )
 if(KF5Kipi_FOUND)
-    set(libPlugins_SRCS
-        ${CMAKE_CURRENT_SOURCE_DIR}/Plugins/documentation.h
+    set(libPlugins_SRCS ${libPlugins_SRCS}
         ${CMAKE_CURRENT_SOURCE_DIR}/Plugins/Interface.cpp
         ${CMAKE_CURRENT_SOURCE_DIR}/Plugins/ImageCollection.cpp
         ${CMAKE_CURRENT_SOURCE_DIR}/Plugins/ImageInfo.cpp
@@ -161,7 +182,11 @@
         ${CMAKE_CURRENT_SOURCE_DIR}/Settings/PluginsPage.cpp
         ${CMAKE_CURRENT_SOURCE_DIR}/Plugins/UploadWidget.cpp
         ${CMAKE_CURRENT_SOURCE_DIR}/Plugins/UploadImageCollection.cpp
-        ${CMAKE_CURRENT_SOURCE_DIR}/Plugins/Logging.cpp
+        )
+endif()
+if(KF5Purpose_FOUND)
+    set(libPlugins_SRCS ${libPlugins_SRCS}
+        ${CMAKE_CURRENT_SOURCE_DIR}/Plugins/PurposeMenu.cpp
         )
 endif()
 
@@ -207,15 +232,20 @@
     ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/ShowBusyCursor.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/List.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/UniqFilenameMapper.cpp
-    ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/Util.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/FileUtil.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/BooleanGuard.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/Process.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/DeleteFiles.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/ToolTip.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/Logging.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/JpeglibWithFix.cpp
-    ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/QStr.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/StringSet.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/FastJpeg.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/DemoUtil.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/DescriptionUtil.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/FileNameUtil.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/VideoUtil.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/ImageUtil.cpp
     )
 
 set(libMainWindow_SRCS
@@ -249,22 +279,3 @@
 set(libImageManager_SRCS
     ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/documentation.h
     ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/ImageLoaderThread.cpp
-    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/AsyncLoader.cpp
-    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/ImageRequest.cpp
-    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/ImageClientInterface.cpp
-    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/ImageDecoder.cpp
-    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/RawImageDecoder.cpp
-    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/RequestQueue.cpp
-    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/ThumbnailCache.cpp
-    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/ImageEvent.cpp
-    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/ThumbnailBuilder.cpp
-    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/PreloadRequest.cpp
-    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/CancelEvent.cpp
-    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/VideoImageRescaleRequest.cpp
-    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/VideoThumbnails.cpp
-    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/VideoLengthExtractor.cpp
-    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/ExtractOneVideoFrame.cpp
-    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/Logging.cpp
-    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/CacheFileInfo.cpp
-    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/enums.cpp
-    )

=== demo/CMakeLists.txt ===
add_subdirectory( CategoryImages )

########### install files ###############
#exif-info.db
install(
    FILES
    index.xml
    anne_helene.jpg
    bar55_2.jpg
    bar55.jpg
    blackie.jpg
    cold_water.jpg
    donna_2.jpg
    donna.jpg
    grand_canyon_1.jpg
    grand_canyon_2.jpg
    grand_canyon_3.jpg
    jesper_2.jpg
    jesper.jpg
    new_wave_1.jpg
    new_wave_2.jpg
    pool_2.jpg
    pool.jpg
    qt-logo.jpg
    skagen_2.jpg
    skagen.jpg
    snow.jpg
    spiff_2.jpg
    spiff.jpg
    sunset.jpg
    wayne.jpg
    movie.avi
    DESTINATION ${KDE_INSTALL_DATADIR}/kphotoalbum/demo
    )

# vi:expandtab:tabstop=4 shiftwidth=4:

=== images/CMakeLists.txt ===
install(
    FILES
    multiconfig.jpg
    search.jpg
    splash.png
    splash-large.png
    movie-clip.png
    DESTINATION ${KDE_INSTALL_DATADIR}/kphotoalbum/pics
    )

# vi:expandtab:tabstop=4 shiftwidth=4:

=== scripts/CMakeLists.txt ===

install( PROGRAMS org.kde.kphotoalbum.open-raw.desktop DESTINATION ${KDE_INSTALL_APPDIR} )
install( PROGRAMS open-raw.pl kpa-backup.sh DESTINATION ${CMAKE_INSTALL_PREFIX}/bin )

# vi:expandtab:tabstop=4 shiftwidth=4:

=== themes/blue/CMakeLists.txt ===
install(
    FILES
    imagepage.html
    kphotoalbum.theme
    mainpage.css
    mainpage.html
    download.png
    DESTINATION ${KDE_INSTALL_DATADIR}/kphotoalbum/themes/blue
    )

# vi:expandtab:tabstop=4 shiftwidth=4:

=== themes/rounded/CMakeLists.txt ===
install(
    FILES
    kphotoalbum.theme
    mainpage.css
    mainpage.html
    imagepage.html
    downbar.png
    downright.png
    rightbar.png
    upleft.png
    downleft.png
    leftbar.png
    upbar.png
    upright.png
    download.png
    DESTINATION ${KDE_INSTALL_DATADIR}/kphotoalbum/themes/rounded
    )

# vi:expandtab:tabstop=4 shiftwidth=4:

=== debian/changelog ===
kphotoalbum (5.6.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Thu, 13 Feb 2020 06:44:36 +0100

kphotoalbum (5.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add the configuration for the CI on salsa.
  * Update the build dependencies according to the upstream build system:
    - add libkf5purpose-dev
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Sun, 09 Feb 2020 10:52:17 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>,
-Build-Depends: debhelper (>= 11~), cmake (>= 3.2), pkg-kde-tools (>= 0.15.16),
+Build-Depends: debhelper-compat (= 12), cmake (>= 3.2), pkg-kde-tools (>= 0.15.16),
  extra-cmake-modules,
  qtbase5-dev (>= 5.9),
  libphonon4qt5-dev,
@@ -22,11 +22,12 @@
  libkf5kdcraw-dev,
  libkf5kgeomap-dev, libqt5webkit5-dev (>= 5.9), libmarble-dev,
  libkf5kipi-dev,
+ libkf5purpose-dev,
  libexiv2-dev (>= 0.19), libjpeg-dev,
  x11proto-core-dev,
  pkg-config,
  gettext,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://kphotoalbum.org
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kphotoalbum
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kphotoalbum.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5

override_dh_auto_build:
	# force generation of version.h, to avoid races later on
	dh_auto_build --no-parallel -- UpdateVersion
	dh_auto_build

.PHONY: override_dh_auto_test

## kphotoalbum 5.7.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.3.0)
project(kphotoalbum LANGUAGES CXX VERSION 5.7.0)

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

# provide drop-down menu for build-type in cmake-gui:
set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS ";Debug;Release;RelWithDebInfo;MinSizeRel")

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules")

find_package(ECM REQUIRED NO_MODULE)
list(APPEND CMAKE_MODULE_PATH "${ECM_MODULE_PATH}" )

include(KDEInstallDirs)
include(KDECompilerSettings)
include(KDECMakeSettings)
include(FeatureSummary)

# enable exceptions:
kde_enable_exceptions()

add_definitions(
    -DQT_NO_CAST_FROM_ASCII
    -DQT_NO_CAST_TO_ASCII
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_NO_CAST_FROM_BYTEARRAY
    -DQT_DEPRECATED_WARNINGS
    -DQT_STRICT_ITERATORS
    -DQT_DISABLE_DEPRECATED_BEFORE=0x050900
    -DQT_DISABLE_Q_FOREACH
    )

########### dependencies  ###############

find_package(Qt5 5.9 REQUIRED COMPONENTS Core Sql Xml Widgets)
find_package(Phonon4Qt5 REQUIRED)
find_package(KF5 5.44 REQUIRED COMPONENTS Archive Completion Config CoreAddons DocTools I18n IconThemes JobWidgets KIO TextWidgets XmlGui WidgetsAddons)

find_package(JPEG REQUIRED)
if(JPEG_FOUND)
    include_directories("${JPEG_INCLUDE_DIR}")
endif()

### 2018-12-30 jzarl
# When Exiv2 0.26 can be deprecated, FindExiv2.cmake should be removed
# and only find_package(exiv2) should be used
find_package(exiv2 CONFIG QUIET)
if(exiv2_FOUND)
    # search againg with REQUIRED, so that the feature summary correctly shows exiv as required dependency
    find_package(exiv2 CONFIG REQUIRED)
    set(EXIV2_LIBRARIES exiv2lib)
else()
    find_package(Exiv2 REQUIRED)
endif()

find_package(KF5Purpose)
set_package_properties(KF5Purpose
    PROPERTIES
    TYPE RECOMMENDED
    PURPOSE "Enables integration with KDE Purpose plugins, which provide image sharing and similar functionality."
    )

find_package(KF5KDcraw)
set_package_properties(KF5KDcraw
    PROPERTIES
    TYPE OPTIONAL
    PURPOSE "Enables RAW image support"
    )
set(HAVE_KDCRAW ${KF5KDcraw_FOUND} )

find_package(Marble)
set_package_properties(Marble
    PROPERTIES
    TYPE OPTIONAL
    PURPOSE "Enables support for geographic map location using embedded GPS information."
    )
set(HAVE_MARBLE ${Marble_FOUND})
if(Marble_FOUND)
    include(MarbleChecks)
endif()

add_custom_target(
    UpdateVersion ALL
    COMMAND "${CMAKE_COMMAND}"
    "-DBASE_DIR=${CMAKE_CURRENT_SOURCE_DIR}" -DPROJECT_NAME=KPA -DPROJECT_VERSION="${PROJECT_VERSION}"
    -DCMAKE_BUILD_TYPE="${CMAKE_BUILD_TYPE}" -P "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/UpdateVersion.cmake"
    COMMENT "Updating version header."
    BYPRODUCTS "${CMAKE_CURRENT_SOURCE_DIR}/version.h"
    )

# For config-kpa-*.h
include_directories("${CMAKE_CURRENT_BINARY_DIR}")

set(libdatebar_SRCS
    "${CMAKE_CURRENT_SOURCE_DIR}/DateBar/documentation.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/DateBar/DateBarWidget.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/DateBar/ViewHandler.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/DateBar/MouseHandler.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/DateBar/MouseHandler.cpp"
    )

set(libSettings_SRCS
    "${CMAKE_CURRENT_SOURCE_DIR}/Settings/documentation.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/Settings/SettingsData.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Settings/SettingsDialog.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Settings/ViewerSizeConfig.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Settings/CategoryItem.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Settings/CategoryPage.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Settings/TagGroupsPage.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Settings/GeneralPage.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Settings/FileVersionDetectionPage.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Settings/ThumbnailsPage.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Settings/ViewerPage.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Settings/DatabaseBackendPage.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Settings/UntaggedGroupBox.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Settings/CategoriesGroupsWidget.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Settings/BirthdayPage.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Settings/DateTableWidgetItem.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Settings/Logging.cpp"
    )

set(libxmldb_SRCS
    "${CMAKE_CURRENT_SOURCE_DIR}/XMLDB/documentation.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/XMLDB/Database.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/XMLDB/XMLCategoryCollection.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/XMLDB/XMLCategory.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/XMLDB/XMLImageDateCollection.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/XMLDB/NumberedBackup.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/XMLDB/FileReader.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/XMLDB/FileWriter.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/XMLDB/ElementWriter.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/XMLDB/XmlReader.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/XMLDB/CompressFileInfo.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/XMLDB/Logging.cpp"
    )

set(libThumbnailView_SRCS
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/documentation.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/FilterWidget.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailRequest.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailToolTip.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailWidget.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/GridResizeInteraction.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/GridResizeSlider.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/SelectionInteraction.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/MouseTrackingInteraction.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/CellGeometry.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailModel.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailFacade.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailComponent.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/KeyboardEventHandler.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailDND.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/Delegate.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/SelectionMaintainer.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/VideoThumbnailCycler.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/Logging.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/MouseInteraction.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailFactory.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/enums.cpp"
    )

set(libPlugins_SRCS
    "${CMAKE_CURRENT_SOURCE_DIR}/Plugins/documentation.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/Plugins/Logging.cpp"
    )
if(KF5Purpose_FOUND)
    set(libPlugins_SRCS ${libPlugins_SRCS}
        "${CMAKE_CURRENT_SOURCE_DIR}/Plugins/PurposeMenu.cpp"
        )
endif()

set(libViewer_SRCS
    "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/documentation.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/ViewerWidget.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/ImageDisplay.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/ViewHandler.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/SpeedDisplay.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/InfoBox.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/CategoryImageConfig.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/AbstractDisplay.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/VideoDisplay.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/TextDisplay.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/InfoBoxResizer.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/VisibleOptionsMenu.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/VideoShooter.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/TaggedArea.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Viewer/Logging.cpp"
    )

set(libCategoryListView_SRCS
    "${CMAKE_CURRENT_SOURCE_DIR}/CategoryListView/documentation.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/CategoryListView/DragableTreeWidget.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/CategoryListView/CheckDropItem.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/CategoryListView/DragItemInfo.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/CategoryListView/Logging.cpp"
    )

set(libHTMLGenerator_SRCS
    "${CMAKE_CURRENT_SOURCE_DIR}/HTMLGenerator/documentation.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/HTMLGenerator/HTMLDialog.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/HTMLGenerator/Generator.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/HTMLGenerator/Setup.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/HTMLGenerator/ImageSizeCheckBox.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/HTMLGenerator/Logging.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/HTMLGenerator/ImageSizeCheckBox.cpp"
    )

set(libUtilities_SRCS
    "${CMAKE_CURRENT_SOURCE_DIR}/Utilities/documentation.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/Utilities/AlgorithmHelper.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Utilities/ShowBusyCursor.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Utilities/List.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Utilities/UniqFilenameMapper.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Utilities/FileUtil.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Utilities/BooleanGuard.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Utilities/Process.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Utilities/DeleteFiles.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Utilities/ToolTip.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Utilities/Logging.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Utilities/JpeglibWithFix.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Utilities/StringSet.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Utilities/FastJpeg.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Utilities/DemoUtil.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Utilities/DescriptionUtil.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Utilities/FileNameUtil.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Utilities/VideoUtil.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/Utilities/ImageUtil.cpp"
    )

set(libMainWindow_SRCS
    "${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/documentation.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/DeleteDialog.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/RunDialog.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/FeatureDialog.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/InvalidDateFinder.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/AutoStackImages.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/TokenEditor.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/WelcomeDialog.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/Window.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/SplashScreen.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/ExternalPopup.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/CategoryImagePopup.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/SearchBar.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/ImageCounter.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/DirtyIndicator.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/StatisticsDialog.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/BreadcrumbViewer.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/StatusBar.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/UpdateVideoThumbnail.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/DuplicateMerger/DuplicateMerger.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/DuplicateMerger/DuplicateMatch.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/DuplicateMerger/MergeToolTip.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/CopyPopup.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/Options.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/Logging.cpp"
    )

set(libImageManager_SRCS
    "${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/documentation.h"
    "${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/ImageLoaderThread.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/AsyncLoader.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/ImageRequest.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/ImageClientInterface.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/ImageDecoder.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/RawImageDecoder.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/RequestQueue.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/ThumbnailCache.cpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/ImageEvent.cpp"

=== demo/CMakeLists.txt ===
--- 
+++ 
@@ -30,7 +30,7 @@
     sunset.jpg
     wayne.jpg
     movie.avi
-    DESTINATION ${KDE_INSTALL_DATADIR}/kphotoalbum/demo
+    DESTINATION "${KDE_INSTALL_DATADIR}/kphotoalbum/demo"
     )
 
 # vi:expandtab:tabstop=4 shiftwidth=4:

=== doc/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION "${KDE_INSTALL_DOCBUNDLEDIR}/en" SUBDIR kphotoalbum)

# vi:expandtab:tabstop=4 shiftwidth=4:

=== kpa-thumbnailtool/CMakeLists.txt ===
add_executable(kpa-thumbnailtool
    main.cpp
    Logging.cpp
    Logging.h
    ThumbnailCacheConverter.cpp
    ThumbnailCacheConverter.h
    )
target_link_libraries(kpa-thumbnailtool PRIVATE
    KPA::Thumbnails
    KF5::CoreAddons
    )

install(TARGETS kpa-thumbnailtool ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

# vi:expandtab:tabstop=4 shiftwidth=4:

=== icons/global/CMakeLists.txt ===
ecm_install_icons(
	ICONS
	16-actions-open-raw.png
	22-actions-open-raw.png
	48-actions-open-raw.png
	64-actions-open-raw.png
	16-apps-kphotoalbum.png
	22-apps-kphotoalbum.png
	32-apps-kphotoalbum.png
	48-apps-kphotoalbum.png
	64-apps-kphotoalbum.png
	128-apps-kphotoalbum.png
	DESTINATION
	${KDE_INSTALL_ICONDIR}
	)

=== themes/blue/CMakeLists.txt ===
install(
    FILES
    imagepage.html
    kphotoalbum.theme
    mainpage.css
    mainpage.html
    download.png
    DESTINATION "${KDE_INSTALL_DATADIR}/kphotoalbum/themes/blue"
    )

# vi:expandtab:tabstop=4 shiftwidth=4:

=== themes/dark/CMakeLists.txt ===
install(
    FILES
    download.png
    imagepage.html
    kphotoalbum.theme
    mainpage.html
    navigation.js
    style.css
    DESTINATION "${KDE_INSTALL_DATADIR}/kphotoalbum/themes/dark"
    )

# vi:expandtab:tabstop=4 shiftwidth=4:

=== themes/darkJS/CMakeLists.txt ===
install(
    FILES
    download.png
    slideshow.gif
    slideshow2.gif
    arrow-left.png
    arrow-left2.png
    arrow-right.png
    arrow-right2.png
    close.png
    imagepage.html
    kphotoalbum.theme
    mainpage.html
    navigation.js
    display.js
    style.css
    ie.css
    DESTINATION "${KDE_INSTALL_DATADIR}/kphotoalbum/themes/darkJS"
    )

# vi:expandtab:tabstop=4 shiftwidth=4:

=== themes/grey/CMakeLists.txt ===
install(
    FILES
    imagepage.html
    kphotoalbum.theme
    mainpage.css
    mainpage.html
    download.png
    DESTINATION "${KDE_INSTALL_DATADIR}/kphotoalbum/themes/grey"
    )

# vi:expandtab:tabstop=4 shiftwidth=4:

=== themes/rounded/CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
     upbar.png
     upright.png
     download.png
-    DESTINATION ${KDE_INSTALL_DATADIR}/kphotoalbum/themes/rounded
+    DESTINATION "${KDE_INSTALL_DATADIR}/kphotoalbum/themes/rounded"
     )
 
 # vi:expandtab:tabstop=4 shiftwidth=4:

=== debian/changelog ===
kphotoalbum (5.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the upstream GPG signing key.
  * Remove the unused x11proto-core-dev build dependency.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.3
    - remove unused libkf5kgeomap-dev, libqt5webkit5-dev, and libkf5kipi-dev
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Add Rules-Requires-Root: no.
  * Remove the kipi-plugins recommend, as the KIPI plugins integration was
    removed.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sat, 08 Aug 2020 22:18:25 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>,
-Build-Depends: debhelper-compat (= 12), cmake (>= 3.2), pkg-kde-tools (>= 0.15.16),
+Build-Depends: debhelper-compat (= 13), cmake (>= 3.3~), pkg-kde-tools (>= 0.15.16),
  extra-cmake-modules,
  qtbase5-dev (>= 5.9),
  libphonon4qt5-dev,
@@ -20,14 +20,13 @@
  libkf5widgetsaddons-dev (>= 5.44.0),
  libkf5xmlgui-dev (>= 5.44.0),
  libkf5kdcraw-dev,
- libkf5kgeomap-dev, libqt5webkit5-dev (>= 5.9), libmarble-dev,
- libkf5kipi-dev,
+ libmarble-dev,
  libkf5purpose-dev,
  libexiv2-dev (>= 0.19), libjpeg-dev,
- x11proto-core-dev,
  pkg-config,
  gettext,
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://kphotoalbum.org
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kphotoalbum
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kphotoalbum.git
@@ -36,7 +35,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends},
  libqt5sql5-sqlite,
-Recommends: khelpcenter, ffmpeg, kipi-plugins
+Recommends: khelpcenter, ffmpeg
 Description: tool for indexing, searching and viewing images by keywords for KDE
  KPhotoAlbum lets you index, search, group and view images by keywords, date,
  locations and persons. It provides a quick and elegant way to lookup groups of
